re-enable new location bar when Ts/Txul regression is addressed
The patch for bug 366797 (with the eTLD usage disabled) seems to have caused a Ts regression on bl-bldlnx01 (about 2-3%) and bl-bldxp01 (about 2%), and a Txul regression on xserve08 (about 5-6%), bl-bldlnx01 (about 4%) and bl-bldxp01 (about 8%).